package com.engine.salary.service;

import com.engine.salary.entity.salaryacct.po.SalaryAcctResultTemplatePO;

import java.util.List;

/**
 * @author Harryxzy
 * @ClassName SalaryAcctResultTemplateService
 * @date 2024/03/26 15:28
 * @description
 */
public interface SalaryAcctResultTemplateService {

    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    List <SalaryAcctResultTemplatePO> listAll();



    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    SalaryAcctResultTemplatePO getById(Long id);

    /**
     * 新增，忽略null字段
     *
     * @param salaryAcctResultTemplate 新增的记录
     * @return 返回影响行数
     */
    int insertIgnoreNull(SalaryAcctResultTemplatePO salaryAcctResultTemplate);

    /**
     * 修改，修改所有字段
     *
     * @param salaryAcctResultTemplate 修改的记录
     * @return 返回影响行数
     */
    int update(SalaryAcctResultTemplatePO salaryAcctResultTemplate);

    /**
     * 修改，忽略null字段
     *
     * @param salaryAcctResultTemplate 修改的记录
     * @return 返回影响行数
     */
    int updateIgnoreNull(SalaryAcctResultTemplatePO salaryAcctResultTemplate);

    /**
     * 删除记录
     *
     * @param id 待删除的记录
     * @return 返回影响行数
     */
    int deleteById(Long id);


    /**
     * 删除记录
     *
     * @param ids 待删除的记录
     * @return 返回影响行数
     */
    int deleteByIds(List<Long> ids);

    /**
     * 根据账套id获取
     * @param salarySobId
     * @return
     */
    List<SalaryAcctResultTemplatePO> listBySalarySobId(Long salarySobId);
}
